Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface AdServiceMBean

public interface AdServiceMBean
extends ServiceConfigurationMBean

AdService configuration management bean interface.

This MBean should have `AdContentProviderMBean`s as children.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getAdClickThruURI()` Get the partial uri of the Ad Click-Thru handler.
`int` | `getDisplayFlushSize()` Get the number of display event after which the cached should be flushed to the database.
`java.lang.String` | `getEventTracker()` Get the class name of the class responsible for posting events (implementation of com.bea.p13n.ad.AdEventTracker).
`java.lang.String` | `getRendering()` Get the class name of the class responsible for rendering ad content (implementation of com.bea.p13n.ad.AdContentProvider).
`java.lang.String` | `getShowDocURI()` Get the partial uri of the Show Document handler.
`void` | `setAdClickThruURI(java.lang.String uri)` Set the partial uri of the Ad Click-Thru handler.
`void` | `setDisplayFlushSize(int size)` Set the number of display event after which the cached should be flushed to the database.
`void` | `setEventTracker(java.lang.String tracker)` Set the class name of the class responsible for posting ad events (implementation of `AdEventTracker`).
`void` | `setRendering(java.lang.String rendering)` Set the class name of the class responsible for rendering all ad content (implementation of `AdContentProvider`).
`void` | `setShowDocURI(java.lang.String uri)` Set the partial uri of the Show Document handler.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getAttributeStringValue, getNotes, getSetFields, getXml, getXmlConverter, isPersistenceEnabled, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDisplayFlushSize

    public int getDisplayFlushSize()

  Get the number of display event after which the cached should be flushed to the database.

  Default Value: 10
  Old Property: adservicebean.display.flush.size

### setDisplayFlushSize

    public void setDisplayFlushSize(int size)

  Set the number of display event after which the cached should be flushed to the database.

  Old Property: adservicebean.display.flush.size
  Legal Minimum Value: 1

### getRendering

    public java.lang.String getRendering()

  Get the class name of the class responsible for rendering ad content (implementation of com.bea.p13n.ad.AdContentProvider).

### setRendering

    public void setRendering(java.lang.String rendering)

  Set the class name of the class responsible for rendering all ad content (implementation of `AdContentProvider`).

  Default Value: "com.bea.p13n.ad.AdContentProviderBase"

### getEventTracker

    public java.lang.String getEventTracker()

  Get the class name of the class responsible for posting events (implementation of com.bea.p13n.ad.AdEventTracker).

### setEventTracker

    public void setEventTracker(java.lang.String tracker)

  Set the class name of the class responsible for posting ad events (implementation of `AdEventTracker`).

  Default Value: "com.bea.p13n.ad.AdEventTrackerBase"

### getAdClickThruURI

    public java.lang.String getAdClickThruURI()

  Get the partial uri of the Ad Click-Thru handler.

  Default Value: "AdClickThru"

### setAdClickThruURI

    public void setAdClickThruURI(java.lang.String uri)

  Set the partial uri of the Ad Click-Thru handler.

### getShowDocURI

    public java.lang.String getShowDocURI()

  Get the partial uri of the Show Document handler.

  Default Value: "ShowDoc"

### setShowDocURI

    public void setShowDocURI(java.lang.String uri)

  Set the partial uri of the Show Document handler.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved